# $str.find

Find the index of the nth ocurrence of a substring in a string

Usage

    $str.find(<findIn>,<tofind>[,ocurrence:int])

Description

This function search in the string given as the first parameter for the string given as his second parameter, and will return the index where the nth ocurrence given as the third parameter is found or -1 if it's not located. It starts counting at 0. If occurence is not specified then the first occurence is searched. WARNING: The occurence number starts from 1! (Yes, that's a bug, but for backward compatibility it must remain as it is :( ).
FIXME: The semantics of this function are totally broken :(

Syntax Specification

    <int> $str.find(<findIn:string>,<tofind:string>[,ocurrence:int])

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 06:46:00 2013